function myconvert(s);
m=dlmread(s);
n=size(m,1);
l=size(m,2);
min=inf;
for i=1:n
    for j=1:l
        if m(i,j)<min & m(i,j)~=0
            min=m(i,j);
        end
    end
end
disp(min);
%pause(20);
%for i=1:n
    %for j=1:n
        %if m(i,j)==0 m(i,j)=min; end
        % end
        %end
%m=[m+min*0.5];
%a=-min*0.01;
%b=min*0.01;
a=min*0.000001;
b=min*0.5;
%a=min*0.00009;
%b=min*0.0001;
%r=random('unif',a,b,n,l);
%a=0;
%b=min/4;
%r=random('norm',a,b,n,l);
%m=m+r;
f=fopen(strcat('ready_',s),'wt');
fprintf(f,'%i',n);
fprintf(f,'%s',' ');
fprintf(f,'%i',l);
fprintf(f,'\n');
for i=1:n
    for j=1:l
        fprintf(f,'%e',m(i,j));
        if j==l
            fprintf(f,'\n');
        else
            fprintf(f,'%s',' ');
        end
    end
end
